import { MessageRecord } from "./query-records/room-records";


export interface ResourceBase{

    getKeyring(resourceId);
    getData(resourceId, pinnedKey?: Uint8Array): Promise<Object>;
    getLastMessages(resourceId): Promise<MessageRecord[]>;
    getMoreMessages(resourceId, cursorMessageId): Promise<MessageRecord[]>; 
    sendMessage(resourceId, content): Promise<string>;
    deleteMessage(resourceId, messageId): Promise<any>;
    editMessage(resourceId, messageId, content): Promise<any>;
    seenMessage(resourceId, messageId): Promise<any>;

}